Lấy danh sách cổ đông lớn của 1 tổ chức
curl --request GET \
--url https://api.fireant.vn/symbols/{symbol}/holders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/symbols/{symbol}/holders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/symbols/{symbol}/holders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/symbols/{symbol}/holders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/symbols/{symbol}/holders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/symbols/{symbol}/holders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/symbols/{symbol}/holders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"majorHolderID": 123,
"individualHolderID": 123,
"institutionHolderID": 123,
"institutionHolderSymbol": "<string>",
"institutionHolderExchange": "<string>",
"name": "<string>",
"position": "<string>",
"shares": 123,
"ownership": 123,
"isOrganization": true,
"isForeigner": true,
"isFounder": true,
"reported": "2023-11-07T05:31:56Z"
}
]Symbols
Lấy danh sách cổ đông lớn của 1 tổ chức
GET
/
symbols
/
{symbol}
/
holders
Lấy danh sách cổ đông lớn của 1 tổ chức
curl --request GET \
--url https://api.fireant.vn/symbols/{symbol}/holders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/symbols/{symbol}/holders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/symbols/{symbol}/holders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/symbols/{symbol}/holders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/symbols/{symbol}/holders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/symbols/{symbol}/holders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/symbols/{symbol}/holders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"majorHolderID": 123,
"individualHolderID": 123,
"institutionHolderID": 123,
"institutionHolderSymbol": "<string>",
"institutionHolderExchange": "<string>",
"name": "<string>",
"position": "<string>",
"shares": 123,
"ownership": 123,
"isOrganization": true,
"isForeigner": true,
"isFounder": true,
"reported": "2023-11-07T05:31:56Z"
}
]Ủy quyền
OAuth2 Implicit Grant
Tham số đường dẫn
Mã chứng khoán (với tổ chức đã niêm yết)/ID của tổ chức
Phản hồi
Thành công
ID của cổ đông lớn
ID cá nhân (nếu là cổ đông cá nhân)
ID tổ chức (nếu là cổ đông tổ chức)
Mã chứng khoán của tổ chức (nếu là cổ đông tổ chức)
Sàn niêm yết của tổ chức (nếu là cổ đông tổ chức)
Tên của cổ đông
Vị trí của cổ đông
Số lượng cổ phiếu của cổ đông
Tỉ lệ sở hữu của cổ đông
Cổ đông tổ chức
Cổ đông nước ngoài
Cổ đông sáng lập
Ngày cập nhật